Package org.eclipse.handly.ui.outline

# Interface ICommonOutlinePage

All Superinterfaces:
  `org.eclipse.ui.views.contentoutline.IContentOutlinePage`, `org.eclipse.ui.part.IPage`, `org.eclipse.ui.part.IPageBookViewPage`, `org.eclipse.jface.viewers.ISelectionProvider`

All Known Implementing Classes:
  `CommonOutlinePage`, `HandlyOutlinePage`, `HandlyXtextOutlinePage`

public interface ICommonOutlinePage extends org.eclipse.ui.views.contentoutline.IContentOutlinePage, org.eclipse.ui.part.IPageBookViewPage
Represents a common outline page.

Restriction:
  This interface is not intended to be extended by clients.
Restriction:
  This interface is not intended to be implemented by clients directly. However, clients may extend the base implementation, class `CommonOutlinePage`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addInputChangeListener(IOutlineInputChangeListener listener)`
  Adds the given input change listener.
  `void`
  `addOutlineContribution(IOutlineContribution contribution)`
  Adds the given outline contribution.
  `org.eclipse.ui.IEditorPart`
  `getEditor()`
  Returns the editor which created this outline page.
  `IBooleanPreference`
  `getLexicalSortPreference()`
  Returns lexical sort preference for this outline page.
  `IBooleanPreference`
  `getLinkWithEditorPreference()`
  Returns link-with-editor preference for this outline page.
  `org.eclipse.jface.viewers.TreeViewer`
  `getTreeViewer()`
  Returns the tree viewer of this outline page.
  `void`
  `init(org.eclipse.ui.IEditorPart editor)`
  Initializes this outline page with its corresponding editor.
  `void`
  `removeInputChangeListener(IOutlineInputChangeListener listener)`
  Removes the given input change listener.
  `void`
  `removeOutlineContribution(IOutlineContribution contribution)`
  Removes the given outline contribution.

  ### Methods inherited from interface org.eclipse.ui.part.IPage

  `createControl, dispose, getControl, setActionBars, setFocus`

  ### Methods inherited from interface org.eclipse.ui.part.IPageBookViewPage

  `getSite, init`

  ### Methods inherited from interface org.eclipse.jface.viewers.ISelectionProvider

  `addSelectionChangedListener, getSelection, removeSelectionChangedListener, setSelection`

- ## Method Details

  - ### getTreeViewer

    org.eclipse.jface.viewers.TreeViewer getTreeViewer()
    Returns the tree viewer of this outline page.
    Returns:
      the tree viewer of this outline page, or `null` if it has not been created yet

  - ### init

    void init(org.eclipse.ui.IEditorPart editor)
    Initializes this outline page with its corresponding editor. This method should be called by the editor shortly after page construction. Specifically, it must be called before the page's control is created.
    Parameters:
      `editor` - the editor which created this outline page (not `null`)

  - ### getEditor

    org.eclipse.ui.IEditorPart getEditor()
    Returns the editor which created this outline page.
    Returns:
      the editor which created this outline page, or `null` if it has not been set yet

  - ### addOutlineContribution

    void addOutlineContribution(IOutlineContribution contribution)
    Adds the given outline contribution. This method has no effect if the contribution is already registered.
    Parameters:
      `contribution` - not `null`

  - ### removeOutlineContribution

    void removeOutlineContribution(IOutlineContribution contribution)
    Removes the given outline contribution. This method has no effect if the contribution was not already registered.
    Parameters:
      `contribution` - not `null`

  - ### addInputChangeListener

    void addInputChangeListener(IOutlineInputChangeListener listener)
    Adds the given input change listener. This method has no effect if the listener is already registered.
    Parameters:
      `listener` - not `null`

  - ### removeInputChangeListener

    void removeInputChangeListener(IOutlineInputChangeListener listener)
    Removes the given input change listener. This method has no effect if the listener was not already registered.
    Parameters:
      `listener` - not `null`

  - ### getLinkWithEditorPreference

    IBooleanPreference getLinkWithEditorPreference()
    Returns link-with-editor preference for this outline page.
    Returns:
      link-with-editor preference for this outline page, or `null` if the outline page does not support linking with editor

  - ### getLexicalSortPreference

    IBooleanPreference getLexicalSortPreference()
    Returns lexical sort preference for this outline page.
    Returns:
      lexical sort preference for this outline page, or `null` if the outline page does not support lexical sorting